﻿using System;
using System.Collections.Generic;
using System.Text;

namespace sfListView.Models
{

    public class EventForListDto
    {
        public string Guid { get; set; }
        public int Id { get; set; }
        public string Name { get; set; }
        public string Subtitle { get; set; }
        public string Description { get; set; }
        public int MaximumSeats { get; set; }
        public int RemainingSeats { get; set; }
        public DateTime From { get; set; }
        public DateTime To { get; set; }
        public List<SharedDto> Categories { get; set; }
        public List<SharedDto> Amenities { get; set; }
        public string LocationAddress { get; set; }
        public string Location { get; set; }
        public List<GalleryDto> Gallery { get; set; }
        public string Phone { get; set; }
        public List<string> BoxOffice { get; set; }
        public string Website { get; set; }
        public bool IsCanceled { get; set; }
        public string iDOnTripAdvisor { get; set; }
        public bool IsFavorite { get; set; }
        public bool IsRegisterd { get; set; }
        // distance from user when using events filter popup
        public double DistanceFromUser { get; set; }
        public int RegisteredSeats { get; set; }
        //custom props for evetn details date labels
        public string FormatedFrom { get; set; }
        public string FormatedTo { get; set; }
        public string FormatedToWithYear { get; set; }



        //Todo: fix
        public string MainImage { get; set; }
        public string CategoryImage { get; set; }
        public string CategoryName { get; set; }

        public string MainImageURL => this.Gallery[0].ImageURL;

    }
} 
