﻿using sfListView.Models;
using sfListView.RestClient;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;
using System.Threading.Tasks;

namespace sfListView.Services
{
    public class EventsService 
    {
        public async Task<ObservableCollection<EventForListDto>> GetEventsAsync()
        {
            RestClient<ObservableCollection<EventForListDto>> restClient = new RestClient<ObservableCollection<EventForListDto>>();
            try
            { 
                var reslut = await restClient.GetOBject("/Umbraco/api/EventsApi/GetAll?lan=en-US&appId=123&from=01/01/2018&to=08/04/2019"); 
                return reslut;
            }
            catch (Exception ex)
            {
                //return await App.Database.GetFeedBacksAsync();
                return null;
            }
        }

    }
}
